ASTTextblock (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.parser.node.ASTTextblock class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class ASTTextblock

    java.lang.Object
      org.apache.velocity.runtime.parser.node.SimpleNode
          org.apache.velocity.runtime.parser.node.ASTTextblock

All Implemented Interfaces:
  Node, Renderable

public class ASTTextblock
extends SimpleNode

This node holds the "Textblock" data which should not be interpreted by Velocity. Textblocks are marked in Velocity with #[[content here]]# notation. Velocity will output everything between the markers and does not attempt to parse it in any way.

Field Summary
`static String` | `END`
`static String` | `START`

Fields inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`children, first, id, info, invalid, last, log, parent, parser, rsvc, state, templateName`

Constructor Summary
`ASTTextblock(int id)`
`ASTTextblock(Parser p, int id)`

Method Summary
`Object` | `init(InternalContextAdapter context, Object data)`
`Object` | `jjtAccept(ParserVisitor visitor, Object data)`
`boolean` | `render(InternalContextAdapter context, Writer writer)`

Methods inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`childrenAccept, dump, evaluate, execute, getColumn, getFirstToken, getInfo, getLastToken, getLine, getLocation, getRuntimeServices, getTemplateName, getType, isInvalid, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, literal, setFirstToken, setInfo, setInvalid, toString, toString, value`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### START

    public static final String START

See Also:
  Constant Field Values

### END

    public static final String END

See Also:
  Constant Field Values

Constructor Detail

### ASTTextblock

    public ASTTextblock(int id)

Parameters:
  `id` -

### ASTTextblock

    public ASTTextblock(Parser p,
                        int id)

Parameters:
  `p` -
  `id` -

Method Detail

### jjtAccept

    public Object jjtAccept(ParserVisitor visitor,
                            Object data)

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`
  See Also:
    `SimpleNode.jjtAccept(org.apache.velocity.runtime.parser.node.ParserVisitor, java.lang.Object)`

### init

    public Object init(InternalContextAdapter context,
                       Object data)
                throws TemplateInitException

  Specified by:
    `init` in interface `Node`
  Overrides:
    `init` in class `SimpleNode`
  Throws:
    `TemplateInitException`
  See Also:
    `SimpleNode.init(org.apache.velocity.context.InternalContextAdapter, java.lang.Object)`

### render

    public boolean render(InternalContextAdapter context,
                          Writer writer)
                   throws IOException

  Specified by:
    `render` in interface `Node`
  Overrides:
    `render` in class `SimpleNode`
  Throws:
    `IOException`
  See Also:
    `SimpleNode.render(org.apache.velocity.context.InternalContextAdapter, java.io.Writer)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.